org.apache.commons.net.ftp

## Class FTPFileEntryParserImpl

- java.lang.Object
- - org.apache.commons.net.ftp.FTPFileEntryParserImpl

- All Implemented Interfaces:
    FTPFileEntryParser
  Direct Known Subclasses:
    CompositeFileEntryParser, MLSxEntryParser, RegexFTPFileEntryParserImpl

      public abstract class FTPFileEntryParserImpl
      extends Object
      implements FTPFileEntryParser

  This abstract class implements both the older FTPFileListParser and newer FTPFileEntryParser interfaces with default functionality. All the classes in the parser subpackage inherit from this.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPFileEntryParserImpl()` The constructor for a FTPFileEntryParserImpl object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `preParse(List<String> original)` This method is a hook for those implementors (such as VMSVersioningFTPEntryParser, and possibly others) which need to perform some action upon the FTPFileList after it has been created from the server stream, but before any clients see the list.
    `String` | `readNextEntry(BufferedReader reader)` Reads the next entry using the supplied BufferedReader object up to whatever delimits one entry from the next.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.net.ftp.FTPFileEntryParser

      `parseFTPEntry`

- - ### Constructor Detail

    - #### FTPFileEntryParserImpl

          public FTPFileEntryParserImpl()

      The constructor for a FTPFileEntryParserImpl object.

  - ### Method Detail

    - #### preParse

          public List<String> preParse(List<String> original)

      This method is a hook for those implementors (such as VMSVersioningFTPEntryParser, and possibly others) which need to perform some action upon the FTPFileList after it has been created from the server stream, but before any clients see the list. This default implementation does nothing.
      Specified by:
        `preParse` in interface `FTPFileEntryParser`
      Parameters:
        `original` - Original list after it has been created from the server stream
      Returns:
        `original` unmodified.

    - #### readNextEntry

          public String readNextEntry(BufferedReader reader)
                               throws IOException

      Reads the next entry using the supplied BufferedReader object up to whatever delimits one entry from the next. This default implementation simply calls BufferedReader.readLine().
      Specified by:
        `readNextEntry` in interface `FTPFileEntryParser`
      Parameters:
        `reader` - The BufferedReader object from which entries are to be read.
      Returns:
        A string representing the next ftp entry or null if none found.
      Throws:
        `IOException` - thrown on any IO Error reading from the reader.

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.